Package ru.bitel.bgbilling.modules.megafon.common.bean

# Class MegafonPayment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonPayment

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class MegafonPayment extends IdContractId
Запись о платеже(переводе) оператора на счет абонента через онлайн-кассу Мегафона

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegafonPayment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  `String`
  `getCheckNumber()`
  `String`
  `getMsisdn()`
  `LocalDateTime`
  `getPaymentDate()`
  `MegafonPaymentStatus`
  `getStatus()`
  `MegafonPayment`
  `setAmount(BigDecimal amount)`
  `MegafonPayment`
  `setCheckNumber(String checkNumber)`
  `MegafonPayment`
  `setContractId(int contractId)`
  `MegafonPayment`
  `setId(int id)`
  Устанавливает id объекта
  `MegafonPayment`
  `setMsisdn(String msisdn)`
  `MegafonPayment`
  `setPaymentDate(LocalDateTime paymentDate)`
  `MegafonPayment`
  `setStatus(MegafonPaymentStatus status)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MegafonPayment

    public MegafonPayment()

- ## Method Details

  - ### getAmount

    public BigDecimal getAmount()

  - ### getCheckNumber

    public String getCheckNumber()

  - ### getMsisdn

    public String getMsisdn()

  - ### getPaymentDate

    public LocalDateTime getPaymentDate()

  - ### getStatus

    public MegafonPaymentStatus getStatus()

  - ### setAmount

    public MegafonPayment setAmount(BigDecimal amount)

  - ### setCheckNumber

    public MegafonPayment setCheckNumber(String checkNumber)

  - ### setContractId

    public MegafonPayment setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setId

    public MegafonPayment setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setMsisdn

    public MegafonPayment setMsisdn(String msisdn)

  - ### setPaymentDate

    public MegafonPayment setPaymentDate(LocalDateTime paymentDate)

  - ### setStatus

    public MegafonPayment setStatus(MegafonPaymentStatus status)